## GstVaapiDisplayGLX

GstVaapiDisplayGLX — VA/GLX display abstraction

## Functions

GstVaapiDisplay * | gst_vaapi_display_glx_new ()
GstVaapiDisplay * | gst_vaapi_display_glx_new_with_display ()

## Types and Values

| GstVaapiDisplayGLX

## Object Hierarchy

## Description

## Functions

### gst_vaapi_display_glx_new ()

    GstVaapiDisplay *
    gst_vaapi_display_glx_new (const gchar *display_name);

Opens an X11 Display using `display_name` and returns a newly allocated GstVaapiDisplay object. The X11 display will be cloed when the reference count of the object reaches zero.

#### Parameters

display_name | the X11 display name |

#### Returns

a newly allocated GstVaapiDisplay object

### gst_vaapi_display_glx_new_with_display ()

    GstVaapiDisplay *
    gst_vaapi_display_glx_new_with_display
                                   (Display *x11_display);

Creates a GstVaapiDisplay based on the X11 `x11_display` display. The caller still owns the display and must call `XCloseDisplay()` when all GstVaapiDisplay references are released. Doing so too early can yield undefined behaviour.

#### Parameters

x11_display | an X11 Display |

#### Returns

a newly allocated GstVaapiDisplay object

## Types and Values

### GstVaapiDisplayGLX

    typedef struct _GstVaapiDisplayGLX GstVaapiDisplayGLX;

VA/GLX display wrapper.